Subject: bug#34616: neovim segfaults

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 22 Feb 2019 16:06:31 +0100

Julien Lepiller <[email-masked]> writes:

> Hi,
>
> I've updated to the latest guix and upgraded my neovim
> package. Unfortunately, it segfaults:
>
> $ nvim
> Erreur de segmentation (core dumped)
>
> Here is my current guix:
>
> Génération 34	22 févr. 2019 14:01:39	(actuelle)
>   guix 28cbf65
>     URL du dépôt : https://git.savannah.gnu.org/git/guix.git
>     branche: master
>     commit : 28cbf65cb944606aafc8b07edd2c521ca58c3127
>
> GUIX_PACKAGE_PATH="/home/tyreunom/nosave/guix-more"
>
> I'm not sure how to debug that, so I'd appreciate some help here :)

I cannot reproduce this with

    ./pre-inst-env guix environment --pure --ad-hoc neovim

on the same commit.

This is on a foreign distro.

-- 
Ricardo